Package org.apache.solr.client.solrj.request.json

# Class QueryFacetMap

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
org.apache.solr.client.solrj.request.json.JsonFacetMap<QueryFacetMap>
org.apache.solr.client.solrj.request.json.QueryFacetMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class QueryFacetMap extends JsonFacetMap<QueryFacetMap>
Represents a "query" facet in a JSON query request.

Ready for use in `JsonQueryRequest.withFacet(String, Map)`

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`QueryFacetMap(String queryString)`

## Method Summary

Modifier and Type
Method
Description
`QueryFacetMap`
`getThis()`

### Methods inherited from class org.apache.solr.client.solrj.request.json.JsonFacetMap

`withDomain, withStatSubFacet, withSubFacet`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### QueryFacetMap

public QueryFacetMap(String queryString)

## Method Details

### getThis

public QueryFacetMap getThis()

Specified by:
  `getThis` in class `JsonFacetMap<QueryFacetMap>`